> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all workflows

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflows

Returns workflows matching the specified query filters. Accessible to all users.

Reference: https://contentful.com/developers/docs/references/content-management-api/workflows/get-all-workflows

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

### Query parameters

- `stepId[in]` (string, optional) — Comma-separated list with step IDs. A workflow must be linked to one of those steps.
- `sys.entity.sys.linkType` (string, optional) — This must equal `entry` if defined. This must be defined together with the next parameter.
- `sys.entity.sys.id[in]` (string, optional) — Comma-separated list with entry IDs. A workflow must be linked to one of those entries.
- `sys.workflowDefinition.sys.id` (string, optional) — Filter workflows by the ID of the linked workflow definition.
- `order` (string, optional) — Orders the query results by a specified attribute. The prefix `-` inverts the order (descending). Supported values: `sys.updatedAt`, `-sys.updatedAt`, `sys.createdAt`, `-sys.createdAt`
- `skip` (double, optional) — The number of elements to skip before returning matching workflows.
- `limit` (double, optional) — Limit the number of workflows being returned in the response.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "stepId": "someStepId",
      "sys": {
        "createdAt": "2025-05-07T05:15:08.000Z",
        "createdBy": {
          "sys": {
            "id": "99SummRPRBowauM8T5Ljb34",
            "linkType": "AppDefinition",
            "type": "Link"
          }
        },
        "entity": {
          "sys": {
            "id": "5KsDBWseXY6QegucYAoacS",
            "linkType": "Entry",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "id": "someWorkflowId",
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "type": "Workflow",
        "updatedAt": "2025-05-07T05:15:08.000Z",
        "updatedBy": {
          "sys": {
            "id": "1xGZIRXr2WPnsLkKfREo0z",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 1,
        "workflowDefinition": {
          "sys": {
            "id": "pfjbpijbJJBNv6Jgj",
            "linkType": "WorkflowDefinition",
            "type": "Link"
          }
        }
      }
    },
    {
      "stepId": "someStepId",
      "sys": {
        "createdAt": "2025-05-18T12:29:43.000Z",
        "createdBy": {
          "sys": {
            "id": "99SummRPRBowauM8T5Ljb34",
            "linkType": "AppDefinition",
            "type": "Link"
          }
        },
        "entity": {
          "sys": {
            "id": "5KsDBWseXY6QegucYAoacS",
            "linkType": "Entry",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "id": "someWorkflowId",
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "type": "Workflow",
        "updatedAt": "2025-05-18T12:29:43.000Z",
        "updatedBy": {
          "sys": {
            "id": "1xGZIRXr2WPnsLkKfREo0z",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 1,
        "workflowDefinition": {
          "sys": {
            "id": "pfjbpijbJJBNv6Jgj",
            "linkType": "WorkflowDefinition",
            "type": "Link"
          }
        }
      }
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const workflows = await client.workflow.getMany({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  query: {
    limit: 10
  }
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```